Latest 0.0.9
Homepage https://github.com/RomanPodymov/Xcode9to10Preparation
License MIT
Platforms ios 8.0, tvos 9.0, requires ARC
Authors

Provides functions from Xcode 10 in Xcode 9.

Cocoapods Compatible
Carthage compatible

Contents

Requirements

  • iOS 8.0+ / tvOS 9.0+
  • Xcode 9.4+
  • Swift 4.1+

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

To integrate Xcode9to10Preparation into your Xcode project using CocoaPods, specify it in your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '8.0'
use_frameworks!

target '<Your Target Name>' do
    pod 'Xcode9to10Preparation'
end

Then, run the following command:

$ pod install

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate Xcode9to10Preparation into your Xcode project using Carthage, specify it in your Cartfile:

github "RomanPodymov/Xcode9to10Preparation"

Run carthage update to build the framework and drag the built Xcode9to10Preparation.framework into your Xcode project.

Latest podspec

{
    "name": "Xcode9to10Preparation",
    "version": "0.0.9",
    "summary": "Provides functions from Xcode 10 in Xcode 9",
    "description": "If you found some interesting functions, protocols, enumerations, classes or sctuctures in Xcode 10 you can use them right now in Xcode 9 with this library",
    "homepage": "https://github.com/RomanPodymov/Xcode9to10Preparation",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "RomanPodymov": "[email protected]"
    },
    "platforms": {
        "ios": "8.0",
        "tvos": "9.0"
    },
    "source": {
        "git": "https://github.com/RomanPodymov/Xcode9to10Preparation.git",
        "tag": "0.0.9"
    },
    "source_files": [
        "Source",
        "Source/**/*.{h,m}"
    ],
    "exclude_files": "Source/Exclude",
    "swift_version": "4.1",
    "requires_arc": true
}

Pin It on Pinterest

Share This